all: font install clean

# FN=LukasSvatba
# OFN =AmiciLogo
font: $(FN)/$(FN).sfd genfont_longs.ff
	cd $(FN); fontforge -script ../genfont_longs.ff $(FN) $(OFN)

install: font
	cp $(FN)/$(OFN).pfb texmf/fonts/type1/public/aurical/
	tftopl $(FN)/$(OFN).tfm | awk ' /\(LIGTABLE/ { print "(BOUNDARYCHAR O 40)"} 1 ' >$(FN)/$(OFN).pl
	pltotf $(FN)/$(OFN).pl texmf/fonts/tfm/public/aurical/$(OFN).tfm 
	cp $(FN)/$(OFN).afm texmf/fonts/afm/public/aurical/
clean: 
	rm -f $(FN)/$(OFN).pfb $(FN)/$(OFN).tfm $(FN)/$(OFN).afm $(FN)/$(OFN).enc $(FN)/$(OFN).pl





